﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace PerspectiveRotatorExample
{
    public class DataHelper : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;
        private double rotationX;

        public double RotationX
        {
            get
            {
                return this.rotationX;
            }
            set
            {
                if (value != this.rotationX)
                {
                    this.rotationX = value;
                    this.OnPropertyChange("RotationX");
                }
            }
        }



        private double rotationY;

        public double RotationY
        {
            get
            {
                return this.rotationY;
            }
            set
            {
                if (value != this.rotationY)
                {
                    this.rotationY = value;
                    this.OnPropertyChange("RotationY");
                }
            }
        }



        private double rotationZ;

        public double RotationZ
        {
            get
            {
                return this.rotationZ;
            }
            set
            {
                if (value != this.rotationZ)
                {
                    this.rotationZ = value;
                    this.OnPropertyChange("RotationZ");
                }
            }
        }



        private double cameraX;

        public double CameraX
        {
            get
            {
                return this.cameraX;
            }
            set
            {
                if (value != this.cameraX)
                {
                    this.cameraX = value;
                    this.OnPropertyChange("CameraX");
                }
            }
        }



        private double cameraY;

        public double CameraY
        {
            get
            {
                return this.cameraY;
            }
            set
            {
                if (value != this.cameraY)
                {
                    this.cameraY = value;
                    this.OnPropertyChange("CameraY");
                }
            }
        }



        private double reflectionRelativeHeight;

        public double ReflectionRelativeHeight
        {
            get
            {
                return this.reflectionRelativeHeight;
            }
            set
            {
                if (value != this.reflectionRelativeHeight)
                {
                    this.reflectionRelativeHeight = value;
                    this.OnPropertyChange("ReflectionRelativeHeight");
                }
            }
        }



        private double reflectionStartAlpha;

        public double ReflectionStartAlpha
        {
            get
            {
                return this.reflectionStartAlpha;
            }
            set
            {
                if (value != this.reflectionStartAlpha)
                {
                    this.reflectionStartAlpha = value;
                    this.OnPropertyChange("ReflectionStartAlpha");
                }
            }
        }





        private void OnPropertyChange(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }

}
